package org.butor.spring;

import java.util.UUID;

import org.springframework.beans.factory.FactoryBean;
import org.springframework.util.StringUtils;

public class UUIDStringFactoryBean implements FactoryBean<String> {

	private String prefix="";
	
	@Override
	public String getObject() throws Exception {
		if (StringUtils.hasText(prefix)) {
			return prefix+UUID.randomUUID().toString();
		}
		return UUID.randomUUID().toString();
	}

	@Override
	public Class<?> getObjectType() {
		return String.class;
	}

	@Override
	public boolean isSingleton() {
		return false;
	}

	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}

}
